#include <SoftwareSerial.h>
#include <A6GSM.h>

SoftwareSerial GSM_Serial(2, 3);// //(Arduino_Tx/A6_Rx, Arduino_Rx/A6_Tx)

A6GSM A6_GSM(GSM_Serial, 9600); //create a A6 GSM object named A6_GSM using the A6 GSM serial port @ 9600bps

String data = "<hello@arduino~its&A6gsm>";

void setup() 
{
  Serial.begin(9600);
}

void loop()
{
  String hello = A6_GSM.split_data(data, "<", "@");
  String arduino = A6_GSM.split_data(data, "@", "~");
  String its = A6_GSM.split_data(data, "~", "&");
  String A6gsm = A6_GSM.split_data(data, "&", ">");
  
  Serial.println(hello);
  Serial.println(arduino);
  Serial.println(its);
  Serial.println(A6gsm);
}
